# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(IO/CaptureOutput.pm) perl(IO/File.pm) perl(Moose/Role.pm) perl(Template.pm) perl(Test/Most.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name MooseX-PDF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1.1
Summary: Create PDF files with Moose using Template Toolkit templates
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HAMSTER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
MooseX::PDF provides functionality to create PDF files using Template Toolkit
templates. Given a template with PDF::Reuse directives, this module will
process the template and return the raw PDF contents.

This scalar can then be written to file, or output via a streamed process,
such as a web server.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1.1
- rebuild to restore role requires

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

